=== debian/control ===
Source: regina-rexx
Section: libs
Priority: optional
Maintainer: Alen Zekulic <alen@nms.hr>
Build-Depends: binutils, libncurses5-dev
Standards-Version: 3.8.4
Homepage: http://regina-rexx.sourceforge.net/

Package: libregina3
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: regina3
Replaces: regina3
Description: The Regina REXX interpreter, run-time library
 Regina is an ANSI compliant REXX interpreter for multiple platforms.
 .
 REXX is a procedural language that allows programs and algorithms
 to be written in a clear and structured way, it is also designed
 to be used as a macro language by arbitrary application programs.
 .
 Contains runtime shared libraries.

Package: libregina3-dev
Section: libdevel
Architecture: any
Depends: ${regver:Depends}, libc6-dev, cpp
Conflicts: regina2-dev, regina3-dev
Replaces: regina2-dev, regina3-dev
Description: The Regina REXX interpreter, development files
 Regina is an ANSI compliant REXX interpreter for multiple platforms.
 .
 REXX is a procedural language that allows programs and algorithms
 to be written in a clear and structured way, it is also designed
 to be used as a macro language by arbitrary application programs.
 .
 Contains static library, header file rexxsaa.h and regina-config
 script.

Package: regina-rexx
Section: interpreters
Architecture: any
Depends: ${shlibs:Depends}
Description: The Regina REXX interpreter
 Regina is an ANSI compliant REXX interpreter for multiple platforms.
 .
 REXX is a procedural language that allows programs and algorithms
 to be written in a clear and structured way, it is also designed
 to be used as a macro language by arbitrary application programs.
 .
 Contains the Regina REXX interpreter (regina and rexx), external
 queue support (rxstack and rxqueue) and example programs.
