## regina-rexx 3.6

=== debian/changelog ===
regina-rexx (3.6-2.4) unstable; urgency=medium

  * Non-maintainer upload with maintaner agreement.
  * debian/rules: Make sure we use recent config.sub and config.guess.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 06 May 2021 18:28:52 +0200

regina-rexx (3.6-2.3) unstable; urgency=medium

  * Non-maintainer upload with maintaner agreement.
  * Migrate to (still old-style) debhelper (Closes: #982884).
    - Make package multiarch.
    - Fix reproducibility problems (Closes: #854294).
  * Split original az-patch-01 patch into smaller 0000_AZ_*.diff patches.
  * debian/control: Add "Rules-Requires-Root: no"

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 06 May 2021 17:01:37 +0200

regina-rexx (3.6-2.2) unstable; urgency=medium

  * Non-maintainer upload with maintaner agreement.

  [ Boyuan Yang ]
  * debian/control:
    - Drop build-dependency on build-essential binutils (Closes: #877603).
    + Bump Standards-Version to 4.4.1.
    + Add git packaging repo under Salsa Debian group.

  [ Andreas Beckmann ]
  * configure: Ensure the value of REGUTIL_TERM_LIB gets into the Makefile
    s.t. we actually link against the library providing tgetent().
    (Closes: #930005)

  [ Agustin Martin ]
  * d/p/1000_regutil_termcap.h+HAVE_TGETENT.diff: Set HAVE_TGENT and load
    termcap.h if tgetent is available. This seems to fix a segfault
    appearing in amd64 when we actually link against the library providing
    tgetent in above #930005 fix.
  * Upgrade debian/watch file.

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 14 Feb 2021 21:45:52 +0100

regina-rexx (3.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use config.{guess,sub} from autotools-dev to fix FTBFS
    on arm64 and ppc64el. (Closes: #756354)
  * Stop compressing the packages with "bzip2 -9",
    compression with the current default xz is better.

 -- Adrian Bunk <bunk@debian.org>  Sun, 05 Mar 2017 16:40:23 +0200

regina-rexx (3.6-2) unstable; urgency=low

  * Fixed debian/rules build target.

 -- Alen Zekulic <alen@nms.hr>  Sat, 30 Jun 2012 18:24:27 +0200

regina-rexx (3.6-1) unstable; urgency=low

  * Fixed lintian errors.
  * Upgraded to Standards-Version: 3.9.3.
  * Fixed compilation problem on alpha (closes: #661883).
  * New upstream version.

 -- Alen Zekulic <alen@nms.hr>  Sat, 30 Jun 2012 05:11:58 +0200

regina-rexx (3.5-4) unstable; urgency=low

  * Fixed build failure with ld --as-needed. (closes: #615767).

 -- Alen Zekulic <alen@nms.hr>  Sun, 08 May 2011 02:22:22 +0200
