=== debian/control ===
--- 
+++ 
@@ -2,16 +2,21 @@
 Section: libs
 Priority: optional
 Maintainer: Alen Zekulic <alen@nms.hr>
-Build-Depends: binutils, libncurses5-dev
-Standards-Version: 3.8.4
+Build-Depends: libncurses5-dev,
+	       debhelper-compat (=12)
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: http://regina-rexx.sourceforge.net/
+Vcs-Git: https://salsa.debian.org/debian/regina-rexx.git
+Vcs-Browser: https://salsa.debian.org/debian/regina-rexx
 
 Package: libregina3
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+	 ${misc:Depends}
 Conflicts: regina3
 Replaces: regina3
-Description: The Regina REXX interpreter, run-time library
+Description: Regina REXX interpreter, run-time library
  Regina is an ANSI compliant REXX interpreter for multiple platforms.
  .
  REXX is a procedural language that allows programs and algorithms
@@ -23,10 +28,15 @@
 Package: libregina3-dev
 Section: libdevel
 Architecture: any
-Depends: ${regver:Depends}, libc6-dev, cpp
-Conflicts: regina2-dev, regina3-dev
-Replaces: regina2-dev, regina3-dev
-Description: The Regina REXX interpreter, development files
+Depends: ${misc:Depends},
+	 libregina3 (= ${binary:Version}),
+	 libc6-dev,
+	 cpp
+Conflicts: regina2-dev,
+	   regina3-dev
+Replaces: regina2-dev,
+	  regina3-dev
+Description: Regina REXX interpreter, development files
  Regina is an ANSI compliant REXX interpreter for multiple platforms.
  .
  REXX is a procedural language that allows programs and algorithms
@@ -39,8 +49,9 @@
 Package: regina-rexx
 Section: interpreters
 Architecture: any
-Depends: ${shlibs:Depends}
-Description: The Regina REXX interpreter
+Depends: ${shlibs:Depends},
+	 ${misc:Depends}
+Description: Regina REXX interpreter
  Regina is an ANSI compliant REXX interpreter for multiple platforms.
  .
  REXX is a procedural language that allows programs and algorithms
