=== debian/watch ===
version=4
http://sf.net/regina-rexx/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
