## regina-rexx 3.9.5%2Bdfsg1

=== debian/changelog ===
regina-rexx (3.9.5+dfsg1-0.1) unstable; urgency=medium

  * Non-maintainer upload with maintaner agreement.

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Fix day-of-week for changelog entry 2.2-1.
  * Update standards version to 4.5.1, no changes needed.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

  [ Agustin Martin Domingo ]
  * New upstream version (Closes: #1066314).
    - Remove REGUTIL_TERM_LIB stuff (#930005). Fixed upstream in a
      simpler way.
    - 0000_configures_fix-alpha-compilation.diff: renamed from
      0000_AZ_configures.diff for clarity.
    - 0001_configures_do-not-regenerate-debian-rules.diff: Do not
      regenerate debian/rules. We do not use upstream debian dir.
    - 0000_AZ_regina.1.diff: Remove. Fixed upstream.
    - 0000_Makefile.in_Debian-Installation.diff. Remove. Unneeded.
    - 0000_AZ_Makefile.in.diff: Remove. Seems no longer needed.
    - 2000_regina-config_use-wrapper.diff: Upgrade.
    - 2000_Makefile.in_Do-not-hardcode-FLAGS.diff: Better use "?=".
    - libregina3.symbols: Upgrade for new symbols added in 3.7.
    - Upgrade install, links and manpages stuff for new upstream version.
  * Build for the host arch, thanks Helmut Grohne (Closes: #1027405).
  * debian/rules:
    - Read relevant version info from regina.ver file.
    - Revert file ordering in HISTORY FILE. Newer first.
    - Install HACKERS.txt.
    - Let configure deal with GCI on supported platforms.
  * debian/watch: fix to narrow allowed extensions.
  * debian/copyright: Make DEP5 format.
  * README.source,copyright,watch: Exclude files with unclear license.
  * debian/control:
    - Bump Standards-Version. No changes required.
    - Change BD libncurses5-dev => libncurses-dev.
    - Bump debhelper-compat to 13.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 01 Apr 2024 00:06:09 +0200
