## regina-rexx 3.9.5%2bdfsg1

=== debian/tests/control ===
Tests: animal.rexx.ok
 block.rexx.ok
 drive.rexx.ok
 dynfunc.rexx.ok
 newstr.rexx.ok
 testeof.rexx.ok
Depends: regina-rexx
