## regina-rexx 3.9.5+dfsg1

=== debian/changelog ===
regina-rexx (3.9.5+dfsg1-0.3) unstable; urgency=medium

  * Non-maintainer upload with maintainer approval.
  * debian/rules: Make package build again from source after successful
    build.
  * Add minimal autopkgtest test suite using some provided rexx examples.
  * debian/watch: Upgrade to version 5 templates format.

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 28 Sep 2025 19:18:48 +0200

regina-rexx (3.9.5+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload with maintainer approval.
  * Fix FTBFS with C23 (Closes: #1097785).
    - 2301_nullptr-c23-reserved-word.diff: nullptr is a reserved word in
      C23. Use mynullptr instead.
    - 2302_regutil_check-stdbool_h.diff: Use stdbool.h if available to
      work around C23 boolean changes.
    - 2303_use-cxx-va-ellipsis.diff: '()' is not allowed for variable
      function arguments.
  * debian/control: Add libcrypt-dev to Build-Depends (Closes: #1106995).
    Thanks Helmut Grohne
  * debian/control: Bump Standards-Version. No changes required.
  * debian/copyright: Fix lintian old-fsf-address-in-copyright-file for
    LGPL-2+ licenses.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 09 Sep 2025 00:24:02 +0200
