=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: libs
 Priority: optional
 Maintainer: Alen Zekulic <alen@nms.hr>
-Build-Depends: libncurses5-dev,
-	       debhelper-compat (=12)
-Standards-Version: 4.4.1
+Build-Depends: libncurses-dev,
+	       debhelper-compat (=13),
+	       libcrypt-dev
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: http://regina-rexx.sourceforge.net/
+Test-Suite: autopkgtest
+Homepage: https://regina-rexx.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian/regina-rexx.git
 Vcs-Browser: https://salsa.debian.org/debian/regina-rexx
 
@@ -16,6 +18,7 @@
 	 ${misc:Depends}
 Conflicts: regina3
 Replaces: regina3
+Multi-Arch: same
 Description: Regina REXX interpreter, run-time library
  Regina is an ANSI compliant REXX interpreter for multiple platforms.
  .
