=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,18 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-soname=3
-soversion=3.6
-changelog=README.36
-HISTORY=debian/HISTORY
-CONFIGS   = config.guess config.sub
-CONFIGTGZ = config.tar.gz
+file_ver    = regina.ver # Versions file
+VER_DOT     = $(shell grep VER_DOT $(file_ver) | sed 's/^VER_DOT=//' )
+VER_SOMAJOR = $(shell grep VER_SOMAJOR $(file_ver) | sed 's/^VER_SOMAJOR=//' )
 
-rexxpkg=regina-rexx
+HISTORY     = debian/HISTORY
+CONFIGS     = config.guess config.sub
+CONFIGTGZ   = config.tar.gz
 
-export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-export DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+rexxpkg     = regina-rexx
+
+include /usr/share/dpkg/architecture.mk
+export DEB_HOST_ARCH DEB_BUILD_ARCH DEB_HOST_MULTIARCH
 
 ifeq ($(DEB_BUILD_ARCH), ia64)
 	DEB_CFLAGS_MAINT_STRIP=""
@@ -31,14 +31,14 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+include /usr/share/dpkg/buildtools.mk
+
+export CC    # Needed for passing cross compiler.
+
 confflags=--prefix=/usr \
-	--with-addon-dir=/usr/lib/$(DEB_HOST_MULTIARCH)/$(rexxpkg)/$(soversion) \
+	--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) \
+	--with-addon-dir=/usr/lib/$(DEB_HOST_MULTIARCH)/$(rexxpkg)/$(VER_DOT) \
 	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
-
-# Enable Regina GCI only on supported platforms.
-ifneq ($(filter alpha amd64 i386,$(DEB_HOST_ARCH)), )
-  confflags+=--enable-gci
-endif
 
 configure: configure-stamp
 configure-stamp:
@@ -58,8 +58,12 @@
 
 	# Add here commands to compile the package.
 	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
-	#docbook-to-man debian/pam-encfs.sgml > pam-encfs.1
-	cat README.0* README.2* README.3* > $(HISTORY)
+
+        # Bundle all READMEs into a single HISTORY file
+	cat $(shell echo  README.0* README.2* README.3* \
+		| tr -s ' ' '\n' | sort -r ) > $(HISTORY)
+
+	cp rxqueue.1 rxqueue-regina-rexx.1
 
 	touch build-stamp
 
@@ -71,7 +75,10 @@
 	if [ -e "$(CONFIGTGZ)" ]; then \
 	tar -xvzf $(CONFIGTGZ) && rm $(CONFIGTGZ); fi
 	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -f $(HISTORY)
+	rm -f $(HISTORY) rxqueue-regina-rexx.1
+	rm -f APKBUILD config.guess config.sub \
+		PackageInfo PackageInfo-devel PackageInfo-lib \
+		Regina.spec
 
 	dh_clean
 
@@ -94,7 +101,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
-	dh_installdocs -A $(HISTORY)
+	dh_installdocs -A $(HISTORY) HACKERS.txt
 	dh_install
 	dh_installman
 	dh_installexamples
