=== debian/watch ===
Version: 5
Source: https://sf.net/regina-rexx/
Matching-Pattern: @PACKAGE@@ANY_VERSION@\.(?:tar\.xz|tar\.bz2|tar\.gz)
Dversion-Mangle: s/\+dfsg\d*$//
Repack-Suffix: +dfsg1
